<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/Category/UITableView+XHXCellClass.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_u_i_table_view_09_x_h_x_cell_class_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UITableView+XHXCellClass.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_u_i_table_view_09_x_h_x_cell_class_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  UITableView+XHXCellClass.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  Pods</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Leovir on 2019/4/2.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;NS_ASSUME_NONNULL_BEGIN</div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="interface_x_h_x_cell_class_type.html">   11</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_cell_class_type.html">XHXCellClassType</a> : NSObject</div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="interface_x_h_x_cell_class_type.html#a1dbce167f231973cea0290f6a786eb7c">   13</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy) NSString *<a class="code" href="interface_x_h_x_cell_class_type.html#a1dbce167f231973cea0290f6a786eb7c">className</a>;</div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="interface_x_h_x_cell_class_type.html#a19131a12398f87de39a5c23ba301b8a7">   15</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy) NSString *<a class="code" href="interface_x_h_x_cell_class_type.html#a19131a12398f87de39a5c23ba301b8a7">resueIdentifier</a>;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;+ (instancetype)xhx_CellClassTypeWithClassName:(NSString *)className resueIdentifier:(NSString *)resueIdentifier;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;+ (instancetype)xhx_CellClassTypeWithClassName:(NSString *)className;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="_u_i_table_view_09_x_h_x_cell_class_8h.html#aabebb5ba3df3812182cee40ed30de85f">   35</a></span>&#160;NS_INLINE <a class="code" href="interface_x_h_x_cell_class_type.html">XHXCellClassType</a> *<a class="code" href="_u_i_table_view_09_x_h_x_cell_class_8h.html#aabebb5ba3df3812182cee40ed30de85f">tpCellType</a>(NSString *<a class="code" href="interface_x_h_x_cell_class_type.html#a1dbce167f231973cea0290f6a786eb7c">className</a>, NSString *<a class="code" href="interface_x_h_x_cell_class_type.html#a19131a12398f87de39a5c23ba301b8a7">resueIdentifier</a>) {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keywordflow">return</span> [<a class="code" href="interface_x_h_x_cell_class_type.html">XHXCellClassType</a> xhx_CellClassTypeWithClassName:className resueIdentifier:resueIdentifier.length ? resueIdentifier : className];</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;}</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="category_u_i_table_view_07_x_h_x_cell_class_08.html">   40</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="category_u_i_table_view_07_x_h_x_cell_class_08.html">UITableView (XHXCellClass)</a></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;- (void)xhx_RegisterCellsClass:(NSArray &lt;<a class="code" href="interface_x_h_x_cell_class_type.html">XHXCellClassType</a> *&gt; *)cellClasses;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;- (void)xhx_RegisterWithXib:(NSArray&lt;<a class="code" href="interface_x_h_x_cell_class_type.html">XHXCellClassType</a> *&gt;*)cellClasses;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">@end</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160; </div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;NS_ASSUME_NONNULL_END</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_x_h_x_cell_class_type_html"><div class="ttname"><a href="interface_x_h_x_cell_class_type.html">XHXCellClassType</a></div><div class="ttdef"><b>Definition:</b> <a href="_u_i_table_view_09_x_h_x_cell_class_8h_source.html#l00011">UITableView+XHXCellClass.h:12</a></div></div>
<div class="ttc" id="a_u_i_table_view_09_x_h_x_cell_class_8h_html_aabebb5ba3df3812182cee40ed30de85f"><div class="ttname"><a href="_u_i_table_view_09_x_h_x_cell_class_8h.html#aabebb5ba3df3812182cee40ed30de85f">tpCellType</a></div><div class="ttdeci">NS_INLINE XHXCellClassType * tpCellType(NSString *className, NSString *resueIdentifier)</div><div class="ttdef"><b>Definition:</b> <a href="_u_i_table_view_09_x_h_x_cell_class_8h_source.html#l00035">UITableView+XHXCellClass.h:35</a></div></div>
<div class="ttc" id="ainterface_x_h_x_cell_class_type_html_a1dbce167f231973cea0290f6a786eb7c"><div class="ttname"><a href="interface_x_h_x_cell_class_type.html#a1dbce167f231973cea0290f6a786eb7c">XHXCellClassType::className</a></div><div class="ttdeci">NSString * className</div><div class="ttdoc">类名</div><div class="ttdef"><b>Definition:</b> <a href="_u_i_table_view_09_x_h_x_cell_class_8h_source.html#l00013">UITableView+XHXCellClass.h:13</a></div></div>
<div class="ttc" id="acategory_u_i_table_view_07_x_h_x_cell_class_08_html"><div class="ttname"><a href="category_u_i_table_view_07_x_h_x_cell_class_08.html">UITableView(XHXCellClass)</a></div><div class="ttdef"><b>Definition:</b> <a href="_u_i_table_view_09_x_h_x_cell_class_8h_source.html#l00040">UITableView+XHXCellClass.h:40</a></div></div>
<div class="ttc" id="ainterface_x_h_x_cell_class_type_html_a19131a12398f87de39a5c23ba301b8a7"><div class="ttname"><a href="interface_x_h_x_cell_class_type.html#a19131a12398f87de39a5c23ba301b8a7">XHXCellClassType::resueIdentifier</a></div><div class="ttdeci">NSString * resueIdentifier</div><div class="ttdoc">重用标识符</div><div class="ttdef"><b>Definition:</b> <a href="_u_i_table_view_09_x_h_x_cell_class_8h_source.html#l00015">UITableView+XHXCellClass.h:15</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="dir_b5f9a86406ed001a602a37423628f383.html">Category</a></li><li class="navelem"><a class="el" href="_u_i_table_view_09_x_h_x_cell_class_8h.html">UITableView+XHXCellClass.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
